Subject: [bug#31386] [PATCH 1/3] gnu: eigen: Include unsupported features.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 May 2018 10:42:14 +0200

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> * gnu/packages/algebra.scm (eigen)[source]: Do not build the tests for
>> unsupported features, but include the files.
>
> I was reluctant about installing those, but IIRC they go to
> $includedir/…/unsupported, right?  In that case, it’s up to users to
> explicitly #include from unsupported/ so it’s probably fine.

That’s correct.

As it turns out, this alone is not sufficient for TensorFlow.  They have
some additional Eigen source files that they bundle with the TensorFlow
sources, which must be present at build time.

--
Ricardo